Subject: bug#22494: still can't search for two spaces

From: John Wiegley <[email-masked]>
Date: Wed, 03 Feb 2016 10:56:16 -0800

>>>>> Drew Adams <[email-masked]> writes:

> Really? Always? I wouldn't have a problem with that (except if you mean for
> it to apply also to regexp search). But those who are fans of lax whitespace
> search might not like it.

> Today, not only is lax whitespace matching a possibility, but it is the
> default for C-s. What you suggest would mean that even with lax w-s
> matching, search should first look for an exact match, before finding a lax
> match (i.e., even if that lax match came before the literal match).

Sorry, I wasn't entirely clear: I meant, if the user enters a search string
which contravenes the notion of lax matching, such as two spaces. In the same
way that we do for case folding.

> 1. I agree (!) with the proposal to automatically turn OFF
>    lax w-s search if you type multiple, contiguous w-s chars.

Yay!

> 2. I proposed that when that happens we clearly indicate the
>    change to users.

I'm fine with that too.

> 3. I raised a question about whether lax w-s matching should
>    be automatically turned back ON if you change the search
>    string (e.g. delete some chars) so that it no longer has
>    multiple, contiguous w-s chars.

I wonder about this too.

> 4. I raised a question about whether lax w-s matching should
>    be automatically turned OFF if you _paste_ (not type) text
>    that contains multiple, contiguous w-s chars.

I think it should be, as with typing them.

> DWIM is hard. It never does what everyone means, in every context. It's
> about compromises & judgment. And it requires good feedback about what it's
> doing for "free". DWIM behind a user's back always bites someone, in the
> end. ;-)
>
> Hope this clears things up a bit.

Yes, very much, thanks Drew!

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2